Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Class CommunicationErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  opencard.core.OpenCardException
                      opencard.core.terminal.CardTerminalException
                          opencard.core.terminal.CommunicationErrorException

All Implemented Interfaces:
  java.io.Serializable

    public class CommunicationErrorException

extends CardTerminalException

See Also:
  Serialized Form

Constructor Summary
`CommunicationErrorException()` Constructs an object of this class.
`CommunicationErrorException(java.lang.String s)` Constructs an exception and passes a string with a possible cause.
`CommunicationErrorException(java.lang.String s, CardTerminal aTerminal)` The `CardTerminal` enhanced constructor.
`CommunicationErrorException(java.lang.String s, CardTerminal aTerminal, int aSlot)` The `CardTerminal` enhanced constructor.
`CommunicationErrorException(java.lang.String s, CardTerminal aTerminal, Slot aSlot)` Deprecated. use CommunicationErrorException(String, CardTerminal, Slot)

Method Summary

Methods inherited from class opencard.core.terminal.CardTerminalException
`getCardTerminal, getSlot`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunicationErrorException

    public CommunicationErrorException()

  Constructs an object of this class.

### CommunicationErrorException

    public CommunicationErrorException(java.lang.String s)

  Constructs an exception and passes a string with a possible cause.

  Parameters:
    `s` - A message telling a bit more about the cause of this exception

### CommunicationErrorException

    public CommunicationErrorException(java.lang.String s,
                                       CardTerminal aTerminal)

  The `CardTerminal` enhanced constructor.

  Parameters:
    `s` - A message telling a bit more about the cause of this exception
    `aTerminal` - The `CardTerminal` where the exception originated.

### CommunicationErrorException

    public CommunicationErrorException(java.lang.String s,
                                       CardTerminal aTerminal,
                                       int aSlot)

  The `CardTerminal` enhanced constructor.

  Parameters:
    `s` - A message telling a bit more about the cause of this exception
    `aTerminal` - terminal where exception happened.
    `aSlot` - slot where exception happened.

### CommunicationErrorException

    public CommunicationErrorException(java.lang.String s,
                                       CardTerminal aTerminal,
                                       Slot aSlot)

  Deprecated. use CommunicationErrorException(String, CardTerminal, Slot)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD